Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.filesystems 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.filesystems
Class RepositoryReorderedEvent

    java.lang.Object
      java.util.EventObject
          org.openide.filesystems.RepositoryReorderedEvent

All Implemented Interfaces:
  Serializable

    public class RepositoryReorderedEvent

extends EventObject

Fired when a filesystem pool is reordered.

See Also:
  `Repository.reorder(int[])`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`RepositoryReorderedEvent(Repository fsp, int[] perm)` Create a new reorder event.

Method Summary
`int[]` | `getPermutation()` Get the permutation of filesystems.
`Repository` | `getRepository()` Get the affected filesystem pool.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepositoryReorderedEvent

    public RepositoryReorderedEvent(Repository fsp,
                                    int[] perm)

  Create a new reorder event.

  Parameters:
    `fsp` - the filesystem pool being reordered
    `perm` - the permutation of filesystems in the pool

Method Detail

### getRepository

    public Repository getRepository()

  Get the affected filesystem pool.

  Returns:
    the pool

### getPermutation

    public int[] getPermutation()

  Get the permutation of filesystems.

  Returns:
    the permutation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.filesystems 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.